#ifndef XGFXSCENEDYNBRUSH_H
#define XGFXSCENEDYNBRUSH_H

#include "xasset.h"
#include "xbmodeldrawinfo.h"

#include <QVector>

class XGfxSceneDynBrush : public XAsset
{
public:
    XGfxSceneDynBrush();
    ~XGfxSceneDynBrush();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XBModelDrawInfo mInfo;
    quint32 mDynEntId;
};

#endif // XGFXSCENEDYNBRUSH_H
